Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225644 - Merge Review: classpathx-mail
Summary: Merge Review: classpathx-mail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 17:50 UTC by Nobody's working on this, feel free to take it
Modified: 2011-02-18 21:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-18 21:09:22 UTC
orion: fedora-review+


Attachments (Terms of Use)
Updated classpath.spec (deleted)
2009-10-08 17:05 UTC, Orion Poplawski
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 17:50:00 UTC
Fedora Merge Review: classpathx-mail

http://cvs.fedora.redhat.com/viewcvs/devel/classpathx-mail/
Initial Owner: fnasser@redhat.com

Comment 1 Orion Poplawski 2009-10-08 17:05:20 UTC
Created attachment 364160 [details]
Updated classpath.spec

Here is a proposed updated spec.

Also, upstream url for inetlib-1.1.1 differs slightly from CVS lookaside cache so I propose uploading the URL version.

--- classpathx-mail.spec        24 Jul 2009 19:01:58 -0000      1.32                 
+++ classpathx-mail.spec        8 Oct 2009 17:04:52 -0000                            
@@ -28,16 +28,14 @@                                                                  
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.              
 #                                                                                   
                                                                                     
-%define _gcj_support 1                                                              
-                                                                                    
-%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}
+%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}                              
                                                                                     
 %define jmailver 1.3.1                                                              
 %define inetlibver 1.1.1                                                            
                                                                                     
 Name:           classpathx-mail                                                     
 Version:        1.1.1                                                               
-Release:        9.1%{?dist}                                                         
+Release:        9.2%{?dist}                                                         
 Epoch:          0                                                                   
 Summary:        GNU JavaMail(tm)                                                    
                                                                                     
@@ -46,7 +44,7 @@                                                                    
 License:        GPLv2+ with exceptions                                              
 URL:            http://www.gnu.org/software/classpathx/                             
 Source0:        http://ftp.gnu.org/gnu/classpathx/mail-%{version}.tar.gz            
-Source1:        http://ftp.gnu.org/gnu/classpath/inetlib-1.1.1.tar.gz               
+Source1:        http://ftp.gnu.org/gnu/classpath/inetlib-%{inetlibver}.tar.gz       
 # see bz157685                                                                      
 Patch1:         %{name}-docbuild.patch                                              
 Patch2:         %{name}-add-inetlib.patch                                           
@@ -55,7 +53,11 @@                                                                   
 Patch4:         classpath-inetlib-docbuild.patch                                    
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)      
                                                                                     
-%if ! %{gcj_support}                                                                
+%if %{with_gcj}                                                                     
+BuildRequires:          java-gcj-compat-devel                                       
+Requires(post):         java-gcj-compat                                             
+Requires(postun):       java-gcj-compat                                             
+%else                                                                               
 BuildArch:      noarch                                                              
 %endif                                                                              
 BuildRequires:  jpackage-utils >= 0:1.5                                             
@@ -74,11 +76,6 @@                                                                   
 Provides:       javamail-monolithic = 0:%{jmailver}                                 
 Obsoletes:      classpathx-mail-monolithic <= 0:1.1.1_2jpp_6rh                      
                                                                                     
-%if %{gcj_support}                                                                  
-BuildRequires:         java-gcj-compat-devel                                        
-Requires(post):                java-gcj-compat                                      
-Requires(postun):      java-gcj-compat                                              
-%endif                                                                              
                                                                                     
 %description                                                                        
 GNU JavaMail(tm) is a free implementation of the JavaMail API.                      
@@ -169,7 +166,7 @@                                                                  
 cp -pR docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{jmailver}                     
 ln -s %{name}-%{jmailver} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink     
                                                                                     
-%if %{gcj_support}                                                                  
+%if %{with_gcj}                                                                     
 %{_bindir}/aot-compile-rpm                                                          
 %endif                                                                              
                                                                                     
@@ -186,14 +183,14 @@                                                                
 %post                                                                               
 %{_sbindir}/update-alternatives --install %{_javadir}/javamail.jar javamail %{_javadir}/classpathx-mail-1.3.1-monolithic.jar 010301                                      
                                                                                     
-%if %{gcj_support}                                                                  
+%if %{with_gcj}                                                                     
 if [ -x %{_bindir}/rebuild-gcj-db ]
 then
   %{_bindir}/rebuild-gcj-db
 fi
 %endif

-%if %{gcj_support}
+%if %{with_gcj}
 %postun
 if [ -x %{_bindir}/rebuild-gcj-db ]
 then
@@ -229,8 +226,8 @@
 %{_javadir}/classpathx-mail-%{jmailver}-monolithic.jar
 %ghost %{_javadir}/javamail.jar

-%if %{gcj_support}
-%attr(-,root,root) %{_libdir}/gcj/%{name}/classpathx-mail-1.3.1-monolithic-1.1.1.jar.*
+%if %{with_gcj}
+%attr(-,root,root) %{_libdir}/gcj/%{name}
 # These ones are included in the monolithic one above
 #%attr(-,root,root) %{_libdir}/gcj/%{name}/mail-1.3.1-api-1.1.1.jar.*
 #%attr(-,root,root) %{_libdir}/gcj/%{name}/mail-1.3.1-providers-1.1.1.jar.*
@@ -242,6 +239,14 @@
 %{_javadocdir}/%{name}

 %changelog
+* Tue Oct 6 2009 Orion Poplawski <orion@cora.nwra.com> - 0:1.1.1-9.2
+- Merge Review chages (bug #225644)
+- Update to current gcj macro style, own gcj package directory
+- Change tabs to spaces
+- Fixup macro named in changelog
+- Re-upload inetlib-1.1.1.tar.gz - slightly different than lookaside
+  cache
+
 * Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1.1-9.1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

@@ -305,7 +310,7 @@

 * Mon Nov 14 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1.1-2jpp
 - Change handling of alternatives to 6-digit scheme
-- Change handling of javadocs to new %{_netsharedpath} and
+- Change handling of javadocs to new %%{_netsharedpath} and
   "/usr/share mounted read only" friendly scheme

 * Fri Nov 11 2005 Vadim Nasardinov <vadimn@redhat.com> - 0:1.0-4jpp_3fc

Comment 2 Orion Poplawski 2009-10-15 16:53:30 UTC
    *  rpmlint

classpathx-mail.i686: W: obsolete-not-provided classpathx-mail-monolithic

Probably should have:

Provides: classpathx-mail-monolithic = %{version}-%{release}

or just drop the obsoletes if it is no longer relevant.

classpathx-mail.i686: W: dangerous-command-in-%trigger rm

rm -f %{_javadir}/javamail.jar

Checks out okay.

    * naming - OK
    * NamingGuidelines - OK
    * licensing - GPLv2+ with exceptions
    * osi approved? - OK
    * included? - OK
    * correct mentioned in specfile? - OK

specfile

    * American English - OK
    * legible - OK
    * ExcludeArch, blocking - NA
    * BuildRequires - OK
    * Locales - NA
    * shared libraries: ldconfig - NA
    *  %clean section with rm -rf ${RPM_BUILD_ROOT} - OK
    * macros - OK
    * sources - inetlib mismatch - fixed above
    * relocatable? Prefix: /usr? -  NA
    * files and directories - OK 
    * owns all created directories - OK
    * all files listed in %files - OK
    * permissions? - OK
    * deffattr? - 

New standard is:

%defattr(-,root,root,-)


    * no .la files - OK
    * .desktop for GUI applications - NA
    * no conflicts with other packets - OK
    * -devel - NA
    * doc

Perhaps add README.* to %doc?

    * large doc in -doc package - NA
    * must not affect runtime - OK
    * mock build - OK
    * sane scriptlets - OK
    * subpackages with fully versioned dependency 

javadoc should have:

Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

Comment 3 Alexander Kurtakov 2011-01-24 07:45:59 UTC
Orion, would you please review the new version?
http://koji.fedoraproject.org/koji/buildinfo?buildID=215352

Comment 4 Orion Poplawski 2011-02-17 20:46:18 UTC
You need to add COPYING to the javadoc subpackage.  Otherwise everything looks good.

Comment 5 Alexander Kurtakov 2011-02-18 06:09:38 UTC
Fixed. 
http://koji.fedoraproject.org/koji/buildinfo?buildID=229373

Comment 6 Orion Poplawski 2011-02-18 21:09:22 UTC
Looks good.  APPROVED.


Note You need to log in before you can comment on or make changes to this bug.